hoary: Error(s) loading shared libs: libpangox-1.0 / libgobject-2.0

Yannick Le Saint (kyncani) y.lesaint at gmail.com
Sun Jul 24 17:36:07 UTC 2005


On Sun, 24 Jul 2005 17:49:26 +0100
David M <lists2005 at viewport.ukfsn.org> wrote:
> Lee Braiden wrote in gmane.linux.ubuntu.user 
>  about: Re: hoary: Error(s) loading shared libs: libpangox-1.0 /
>  libgobject-2.0 
> 
> > On Sunday 24 July 2005 15:43, David M wrote:
> >> I suspect that it may be possible that these errors have been
> >caused by > disk corruption
> >
> >> My computer has an annoying=20
> >> habit of freezing solid from time to time (I suspect
> >hardware-related) > which, perhaps unsurprisingly, seems to result in
> >minor(?) disk > corruption on rebooting, and maybe I just got unlucky
> >this time..?)
> >
> > Sounds like a good hypothesis.  Find out what's wrong with your
> > hardware and fix it, or if you must, try much more conservative
> > settings (disable AGP, DMA, etc.)  That sort of thing, done step by
> > step, will help to rule out issues anyway.
> >

  If it's a filesystem corruption issue (it does sound like one), you
should have the corresponding error logs in /var/log/syslog.

> Unfortunately, I don't have much spare cash, otherwise I would
> seriously consider replacing the mobo. But the system is 4 years old,
> and I suspect my chances of finding a new mobo that still has DIMM
> slots are virtually nil, which means forking out for new memory as
> well (and possibly even a new cpu if current mobos won't support my
> existing cpu, an Athlon 1200 MHz..) <sigh>
> 
> In order to fix the problems with the libraries, do I just need to
> delete and then remake the symlinks?

  I think you can just reinstall the packages that provided the files.
Install dlocate to find out which package installed which file, and then
reinstall the corrupted packages with apt-get install --reinstall.

  For example :
kyncani /root/ > dlocate libgobject-2.0
libglib2.0-dev: /usr/lib/libgobject-2.0.la
libglib2.0-dev: /usr/lib/libgobject-2.0.a
libglib2.0-dev: /usr/lib/libgobject-2.0.so
libglib2.0-0: /usr/lib/libgobject-2.0.so.0.600.3
libglib2.0-0: /usr/lib/libgobject-2.0.so.0
kyncani /root/ > apt-get install --reinstall libglib2.0-0


  I hope this helps.

---
Yannick Le Saint (kyncani) <y.lesaint at gmail.com>
-------------- next part --------------
A non-text attachment was scrubbed...
Name: not available
Type: application/pgp-signature
Size: 189 bytes
Desc: not available
URL: <https://lists.ubuntu.com/archives/ubuntu-users/attachments/20050724/c9f8de23/attachment.pgp>


More information about the ubuntu-users mailing list